Bug 979495 - HornetQ Logging Documentation Missing
HornetQ Logging Documentation Missing
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: post-GA
: EAP 6.3.0
Assigned To: Nidhi
Russell Dickenson
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 12:43 EDT by apestel
Modified: 2014-11-23 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 11865, Administration and Configuration Guide-6.1-3 Build Date: 23-05-2013 10:40:22
Last Closed: 2014-11-23 18:16:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBQA-9667 Major Open HornetQ Logging Documentation Missing 2014-09-03 05:26:14 EDT

  None (edit)
Description apestel 2013-06-28 12:43:27 EDT
Title:  HornetQ Logging Documentation Missing

Describe the issue:

Documentation for HornetQ logging is not present and/or not sufficient.  In support case 00897472, customer was referred to this community documentation link:

http://docs.jboss.org/hornetq/2.2.14.Final/user-manual/en/html/logging.html


Suggestions for improvement:

Would like to have information that is important enough to send to customers to be in the enterprise documentation, not just the community documentation.


Additional information:
Comment 2 Miroslav Novak 2013-07-01 05:05:10 EDT
Logging for HornetQ in EAP 6.x must be set in logging subsystem in standalone-full...xml. For example by:
<profile>
         <subsystem xmlns="urn:jboss:domain:logging:1.2">
            <console-handler name="CONSOLE">
                <level name="DEBUG"/>
                <formatter>
                    <pattern-formatter pattern="%d{HH:mm:ss,SSS} %-5p [%c] (%t) %s%E%n"/>
                </formatter>
            </console-handler>
            <periodic-rotating-file-handler name="FILE">
                <formatter>
                    <pattern-formatter pattern="%d{HH:mm:ss,SSS} %-5p [%c] (%t) %s%E%n"/>
                </formatter>
                <file relative-to="jboss.server.log.dir" path="server.log"/>
                <suffix value=".yyyy-MM-dd"/>
                <append value="true"/>
            </periodic-rotating-file-handler>
            <logger category="com.arjuna">
                <level name="TRACE"/>
            </logger>
            ...
            <logger category="org.hornetq">
                <level name="INFO"/>
            </logger>

            <!--<logger category="org.jboss.netty">
                <level name="TRACE"/>
            </logger>-->
            ...
            <root-logger>
                <level name="TRACE"/>
                <handlers>
                    <handler name="CONSOLE"/>
                    <handler name="FILE"/>
                </handlers>
            </root-logger>
        </subsystem>
Comment 8 Miroslav Novak 2014-07-22 07:49:23 EDT
Hi Nidhi,

yes, primary information is that it's needed to add "org.hornetq" category with desired logging level to logging subsystem. This is also possible to add using CLI - we should add reference to Chapter 14. The Logging Subsystem for more details (more precisely  ⁠14.3.2. Configure a Log Category in the CLI)

Thanks,
Mirek
Comment 10 Miroslav Novak 2014-07-24 04:42:55 EDT
Hi Nidhi,

changes looks ok. I'd just move the chapter to somewhere else, for example to 20.6. Configuration.

There is root logger:
...
<root-logger>
                <level name="INFO"/>
...
which sets default log level for all packages.

Logger category specifies that a "package" (for example "org.hornetq") will be logged on different level (like TRACE, WARN,...) than is default. So logger category actually specifies exceptions to normal root-logger.

Cheers,
Mirek
Comment 13 Miroslav Novak 2014-08-18 07:20:31 EDT
Thanks Nidhi! Verified.

Note You need to log in before you can comment on or make changes to this bug.